class MemberModel {
  int? totalItemsCount;
  int? statusCode;
  String? message;
  List<MemberDataModel>? data;

  MemberModel({this.totalItemsCount, this.statusCode, this.message, this.data});

  MemberModel.fromJson(Map<String, dynamic> json) {
    totalItemsCount = json['totalItemsCount'];
    statusCode = json['statusCode'];
    message = json['message'];
    if (json['data'] != null) {
      data = [];
      json['data'].forEach((v) {
        data?.add(new MemberDataModel.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['totalItemsCount'] = this.totalItemsCount;
    data['statusCode'] = this.statusCode;
    data['message'] = this.message;
    if (this.data != null) {
      data['data'] = this.data?.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class MemberDataModel {
  int? committeeId;
  String? firstName;
  String? lastName;
  String? description;
  String? picture;
  int? orderNo;

  MemberDataModel({this.committeeId, this.firstName, this.lastName, this.description, this.picture, this.orderNo});

  MemberDataModel.fromJson(Map<String, dynamic> json) {
    committeeId = json['committeeId'];
    firstName = json['firstName'];
    lastName = json['lastName'];
    description = json['description'];
    picture = json['picture'];
    orderNo = json['orderNo'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['committeeId'] = this.committeeId;
    data['firstName'] = this.firstName;
    data['lastName'] = this.lastName;
    data['description'] = this.description;
    data['picture'] = this.picture;
    data['orderNo'] = this.orderNo;
    return data;
  }
}
